stages:
  - test
  - deploy

test:
  image: node:4
  stage: test
  script:
   - npm install
   - npm test
  
staging:
  image: ruby:2.3
  type: deploy
  script:
    - gem install dpl
    - dpl --provider=cloud_foundry --username=$PCF_USER --password=$PCF_PASSWORD --organization=$PCF_ORGANIZATION --space=$PCF_SPACE --skip-ssl-validation
  only:
  - master

    
  
